Intersection between two limited lines

intersection

(Matthieu Arnold) #1

Hi,
I’m trying to find the intersection between two limited lines.
I tried this example and replaced the option finiteSegments with true:
Rhino.Geometry.Intersect.Intersection.LineLine(lineA, lineB, a, b, 0, True)

but it does not work: the two lines are considered intersecting even if they don’t touch each other…

How could I do this?

thanks


(Matthieu Arnold) #2

Hi, I’ve solved my issue: the tolerance mustn’t be null:

Rhino.Geometry.Intersect.Intersection.LineLine(lineA, lineB, a, b, 0.0001, True)

(I think the way it works is strange. Logically, 0 should not be ignored as a tolerance. It would have been better to say that negative value is ignored)